###

#

filler< Dimension > Struct Template Reference
Histogram-Helpers

Filler is used to fill the histogram class with all values between a specified range This functor is used when sparsefill is false, since all the keys need to be present in that case. Currently on 1D implementation is available, extend by adding specialization for 2D and higher dimensional cases. More...

`#include <histogram.hpp>`

## Public Member Functions

template<typename Container , typename Tuple >
void | operator() (Container &, Tuple &, Tuple &, std::size_t)

## Detailed Description

template<std::size_t Dimension>
struct boost::gil::detail::filler< Dimension >

Filler is used to fill the histogram class with all values between a specified range This functor is used when sparsefill is false, since all the keys need to be present in that case. Currently on 1D implementation is available, extend by adding specialization for 2D and higher dimensional cases.

The documentation for this struct was generated from the following file:

- histogram.hpp